<div class="add-delete-buttons">                                                                                                            
  <button nz-button nzType="primary" class="btncls font-size-10x button-pad" (click)="showModal()" >Add Tenant Users</button>
</div>                                                                                         
<div class="pad-2p font-size-10x">                                                                                                          
  <table class="table table-striped">                                                                                                       
    <thead>                                                                                                                                 
    <tr>                                                                                                                                    
      <th >Account</th>                                                                                                                     
      <th >Contact</th>                                                                                                                     
      <th >Company</th>                                                                                                
      <th >Permission</th>                                                                                                                  
    </tr>                                                                                                                                   
    </thead>                                                                                                                    
    <tbody>                                                                                                                                 
    <tr *ngFor="let user of listOfData">                                                                                                    
      <td>{{ user.username }}</td>                                                                                                          
      <td>{{ user.telephone }}</td>                                                                                                         
      <td>{{ user.company }}</td>                                                                                                           
      <td>                                                                                                                                  
        <a (click)="modifyUser(user)" class="link">Modify</a>                                                                               
        <a (click)="deleteUser(user)" class="link">Delete</a>                                                                   
      </td>                                                                                                                                 
    </tr>                                                                                                                                   
    </tbody>                                                                                                                                
  </table>                                                                                                                      
</div>                                                                                                                                      
                                                                                                                                            
                                                                                                                                            
<!-- After clicking the button open the modal dialog using open/close event binding methods -->                                 
                                                                                                                                            
<!-- modal -->                                                                                                                  
<div class="modal" tabindex="-1" role="dialog"  [ngStyle]="{'display':display}">                                       
  <!-- modal-dialog -->                                                                                                                     
  <div class="modal-dialog" role="document">                                                                                    
    <!-- modal-content -->                                                                                                                  
    <div class="modal-content">                                                                                        
      <!-- modal-header -->                                                                                                                 
      <div class="modal-header">                                                                                                            
        <h4>Set Permission</h4>                                                                                                             
        <button type="button" class="close" aria-label="Close" (click)="closeModalDialog()"><span aria-hidden="true">&times;</span></button>
        <!-- <h4 class="modal-title">Login</h4> -->                                                                    
      </div>  
<!-- modal-body -->                                                                                                                   
<div class="modal-body">                                                                                                              
  <label style="font-size: 15px;font-weight: bold">User Basic:</label><br>                                                            
  <label>Username</label> : <input type="text" placeholder="Enter Username" [(ngModel)]="userData.username" />&nbsp;&nbsp;            
  <label>Contact</label> : <input type="text" placeholder="Enter Contact" [(ngModel)]="userData.telephone" /><br>                     
  <label>Company</label> : <input type="text" placeholder="Enter Company" [(ngModel)]="userData.company" />                           
  <label>Address</label> : <input type="text" placeholder="Enter Address" [(ngModel)]="userData.company" /><br />
  <label for="Gender">Gender:</label>&nbsp;&nbsp;&nbsp;&nbsp;                                                                         
  <input type="radio" [(ngModel)]="userData.gender" name="Gender" value="Male"  id="Gender">Male&nbsp;&nbsp;                          
  <input type="radio" [(ngModel)]="userData.gender" name="Gender" value="Female" id="Gender">Female <br />                
                                                                                                                                      
  <label style="font-size: 15px;font-weight: bold">Permission:</label><br>                                                            
  <label>ONAPaas:</label> :                                                                                                           
  <select [(ngModel)]="userData.permissions[0].role">                                                                                 
      <option *ngFor="let dt of onapSelect" [ngValue]="dt.value">{{dt.name}}</option>                                                 
    </select>                                                                                                                         
                                                                                                                                      
  <label>App Store:</label>                                                                                               
  <select [(ngModel)]="userData.permissions[1].role">                                                                                 
    <option *ngFor="let dt of appStoreSelect" [ngValue]="dt.value">{{dt.name}}</option>                                               
  </select>                                                                                                                           
                                                                                                                          
  <label>MEO (Portal):</label>                                                                                                        
  <select [(ngModel)]="userData.permissions[2].role">                                                                                 
    <option *ngFor="let dt of meoSelect" [ngValue]="dt.value">{{dt.name}}</option>                                                    
  </select>                                                                                                               
                                                                                                                                      
  <label>MEO&MEMP:</label>                                                                                                
  <select [(ngModel)]="userData.permissions[3].role">                                                                                 
    <option *ngFor="let dt of mempSelect" [ngValue]="dt.value">{{dt.name}}</option>                                                   
  </select>                                                                                                               
                                                                                                                                      
</div>                                                                                                           
<div class="modal-footer">  
  <button type="button" class="btn btn-default" (click)="saveUserData()" >Save User</button>                                                                                                           
  <button type="button" class="btn btn-default" (click)="saveModalData()" >Save Permissions</button>                                              
  <button type="button" class="btn btn-default" (click)="closeModalDialog()" >Cancel</button>                                         
</div>                                                                                                                                
</div>                                                                                                             
</div>           
